import service from '@/utils/request'
const api = {
  // 课程api
  getCourseList : data => {
    return service({
      url: '/sys-course',
      method: 'get',
      params:data
    })
  },
  // 课程分类api
  getSubjectList : data => {
    return service({
      url: '/sys-course-category',
      method: 'get',
      params:data
    })
  },
  addSubject : data => {
    return service({
      url: '/sys-course-category',
      method: 'post',
      data
    })
  },
  editSubject : data => {
    return service({
      url: '/sys-course-category/'+data.id,
      method: 'put',
      data
    })
  },
  delSubject : data => {
    return service({
      url: '/sys-course-category',
      method: 'delete',
      data
    })
  },
}
export default api
